clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
clang::tidy::llvm Namespace Reference

## Classes
class | LLVMHeaderGuardCheck
| Finds and fixes header guards that do not adhere to LLVM style. More...
class | IncludeOrderCheck
| Checks the correct order of `#includes`. More...
class | LLVMModule
class | TwineLocalCheck
| Looks for local `Twine` variables which are prone to use after frees and should be generally avoided. More...

## Functions
static int | getPriority (StringRef Filename, bool IsAngled, bool IsMainModule)
static ClangTidyModuleRegistry::Add < LLVMModule > | X ("llvm-module","Adds LLVM lint checks.")

## Function Documentation

static int clang::tidy::llvm::getPriority | ( | StringRef | Filename,
|  | bool | IsAngled,
|  | bool | IsMainModule
| ) |  |
| static

Definition at line 54 of file IncludeOrderCheck.cpp.

static ClangTidyModuleRegistry::Add<LLVMModule> clang::tidy::llvm::X | ( | "llvm-module" | ,
|  | "Adds LLVM lint checks." |
| ) |  |
| static